/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */

define([
	"underscore"
	, "jquery"
	, "backbone"
	, "jquery-layout"
]
, function (_, $, Backbone) {
	"use strict";

	return Backbone.View.extend({
		el:				$("body")

		, layout:		null
		, layoutItems:	null

		, events: {
		}

		, initialize: function() {
			_.bindAll(this, "toggleSideBar");

			var that	= this;

			that.layout	= that.$el.layout({
				//applyDefaultStyles:		true
				defaults:		{
					closable:			false
					, resizable:		false
					, slidable:			false
					, spacing_open:		0
					, spacing_closed:	0
				}

				, north:		{
					size:				52
				}

				, west:		{
					size:				150
					, closable:			true
				}

				, center:	{
					resizable:			false
				}

				, south:	{
					size:				30
				}
			});
		}

		, toggleSideBar:	function () {
			this.layout.toggle("west");
		}
	});
});